> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tickets

> Get a group of tickets by their IDs. Up to 100 IDs can be included in a single request. By default, the response will only include the ID and a few system fields for the ticket. You can get specific properties in the response by using the properties parameter in the URL, and that parameter can be included multiple times to get multiple properties. See the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json GET /crm-objects/v1/objects/tickets/paged
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets/paged:
    get:
      summary: Get all tickets
      description: >-
        Get a group of tickets by their IDs. Up to 100 IDs can be included in a
        single request. By default, the response will only include the ID and a
        few system fields for the ticket. You can get specific properties in the
        response by using the properties parameter in the URL, and that
        parameter can be included multiple times to get multiple properties. See
        the example for more details.
      operationId: getcrmobjectsv1objectsticketspaged
      responses:
        '200':
          description: Successful response - Get a group of tickets by their IDs
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get all tickets - Example 1
                  value:
                    - objectType: TICKET
                      portalId: 62515
                      objectId: 176601
                      properties: {}
                      version: 2
                      isDeleted: false
                    - objectType: TICKET
                      portalId: 62515
                      objectId: 176602
                      properties: {}
                      version: 3
                      isDeleted: false
                    - objectType: TICKET
                      portalId: 62515
                      objectId: 177769
                      properties: {}
                      version: 4
                      isDeleted: false
                    - versions:
                        - name: subject
                          value: This is an example ticket
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: This is an example ticket
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: Here are the details of the ticket.
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: Here are the details of the ticket.
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline
                          value: '0'
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline_stage
                          value: '1'
                          timestamp: 1522868974802
                          source: API
                          sourceVid: []
                      value: '1'
                      timestamp: 1522868974802
                      source: API
                      sourceId: null
                    - versions:
                        - name: subject
                          value: Yet another example ticket
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: Yet another example ticket
                      timestamp: 1522870759430
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: This is now an updated ticket marked as closed.
                          timestamp: 1522872562016
                          source: API
                          sourceVid: []
                      value: This is now an updated ticket marked as closed.
                      timestamp: 1522872562016
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline
                          value: '0'
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 1522870759430
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline_stage
                          value: '4'
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: '4'
                      timestamp: 1522870759430
                      source: API
                      sourceId: null
                    - versions:
                        - name: subject
                          value: This is my first ticket!
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: This is my first ticket!
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: content
                          value: Here's the content of the ticket.
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: Here's the content of the ticket.
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline
                          value: '0'
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_pipeline_stage
                          value: '2'
                          timestamp: 1522862571921
                          source: API
                          sourceVid: []
                      value: '2'
                      timestamp: 1522862571921
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````